# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/Coord/ECI.pm) perl(Astro/Coord/ECI/Moon.pm) perl(Astro/Coord/ECI/Sun.pm) perl(Astro/Coord/ECI/Utils.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/MatrixReal.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Astro-SpaceElevator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Model a Space Elevator
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DB/DBROOKS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Astro::SpaceElevator;

    my $elevator = Astro::SpaceElevator->new(0, 120, 100_000, time());
    print "The elevator leaves the Earth's shadow at " . ($elevator->shadows->{Earth}{penumbra})[1] . "km above the base.\n";


%prep
%setup -n %{module_name}-%{module_version}
mkdir lib
cp -a Astro lib

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/A*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

